Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	MLT is an open source multimedia framework, designed and developed for television broadcasting
Name:      	mlt
Version:   	0.2.4
Release:   	5
License: 	GNU/GPL
URL:		http://mlt.sourceforge.net
Group:     	Video
Source0: 	%{name}-%{version}.tar.gz
Patch0:		mlt-new-ffmpeg.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ffmpeg-devel
BuildRequires:	libdv-devel
BuildRequires:	libxml2-devel
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	ladspa-devel
BuildRequires:	gtk2+-devel
BuildRequires:	glib-devel
BuildRequires:	pango-devel
BuildRequires:	atk-devel
BuildRequires:	sox-devel 
BuildRequires:	libquicktime-devel
BuildRequires:	xine-lib-devel
BuildRequires:	lame-devel
BuildRequires:	libtheora-1.0-devel
BuildRequires:	libmad-devel

%description
MLT is an open source multimedia framework, designed and developed for television broadcasting

%package	devel
Summary:        %{name} development headers.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0

%build
CFLAGS="$CFLAGS -I/usr/include/sox"
./configure 	--prefix=%_prefix --avformat-shared=%_prefix \
	--libdir=%_libdir \
	--enable-gpl --enable-shared --enable-pp --enable-shared-pp \
	--enable-motion-est --enable-dv --enable-mmx --disable-gtk2 \
	--enable-vorbis --enable-libogg --enable-jackrack --enable-sox \
	--enable-theora --enable-mp3lame --enable-xine --disable-mmx \
	--luma-compress --enable-avformat --enable-core --enable-feeds \
	--enable-fezzik --enable-inigio --enable-kino --enable-lumas \
	--enable-normalize --enable-plus --enable-qimage --enable-resample \
	--enable-sdl --enable-valerie --enable-vmfx --enable-westley  \
	--avformat-swscale

make

%install
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/inigo
%_bindir/miracle
%_bindir/humperdink
%_bindir/albino
%_datadir/mlt
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_bindir/mlt-config
%_includedir/mlt
%_libdir/*.so
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.4-5
- rebuild against sox 14.0.1
* Thu Jan 25 2008 Christian Metzen <metzench@ccux-linux.de> 0.2.4-4
- rebuild against gcc 4.1.2
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-3
- rebuild against new ffmpeg
* Sat Sep 08 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.2.4-2
- add --avformat-swscale option to solve problem with new ffmpeg
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2.4-1
- Version update
* Thu Dec 14 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.2.2-1
- Initial Release
